Bug 1331044 - unable to add cities to "world clocks"
Summary: unable to add cities to "world clocks"
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-clocks
Version: 29
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: gnome-sig
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-27 14:12 UTC by customercare
Modified: 2019-04-30 00:02 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 22:01:07 UTC


Attachments (Terms of Use)
Disabled "Add" button after being able to search for a city. (10.46 KB, image/png)
2019-02-19 12:04 UTC, Severin Gehwolf
no flags Details

Description customercare 2016-04-27 14:12:40 UTC
Description of problem:


I am unable to add the following to "world clocks":

Tokyo, Japan
Braunschweig, Germany
Bern, Swiss
Zürich, Swiss
and others. 

Those worked:

Berlin, Germany
New York, USA
Paris, France Republic


the app finds those city names in no time, but does not offer to add them.

IF the criteria, who or who's not added, is decided on having a named TZ file like "berlin/europe" in the list of valid timezones, this app as no usecase and should be deleted.

If i want to know the time in "my city", because i travel a lot, than i should be able to add "my city" and not the capitol of nation X or in case of switzerland, the capitol of germany or france :D

It's the same timezone, so it should not matter, but therefor you need an exact list of gps coordinates for each timezone and city in your list. 

as the map app offers to find any city, it should not be hard to find out in which tz a city is.

Version-Release number of selected component (if applicable):

gnome-clocks-3.18.0-1.fc23.x86_64


Disclaimer:

This bugreport is intoxinated by french wine. Any error a reader does find, can be keept by the specific reader. Prost.

Comment 1 Hedayat Vatankhah 2016-10-31 21:32:27 UTC
I am unable to add any cities under F25. I'll try more to see if I can add any cities. But I can't add even some cities which I am able to add in F24 (e.g. Antalya - Turkey)

Comment 2 customercare 2017-03-31 08:27:10 UTC
Confirmed on a fresh F25 upgraded system.

Comment 3 Gergely Polonkai 2017-04-18 10:19:50 UTC
Same happens on F26 Alpha

Comment 4 lewis.bogan 2017-05-28 17:28:54 UTC
The 'Add' button wont activate when adding cities.
1. I launched gnome-clocks from the command line and got this error:

** (gnome-clocks:12177): WARNING **: geocoding.vala:44: Failed to connect to GeoClue2 service: GDBus.Error:org.freedesktop.DBus.Error.AccessDenied: Agent rejected 'org.gnome.clocks' for user '1000'. Please ensure that 'org.gnome.clocks' has installed a valid org.gnome.clocks.desktop file.

2. Tried 'sudo gnome-clocks' and got:

No protocol specified
Unable to init server: Could not connect: Connection refused

(gnome-clocks:21549): Gtk-WARNING **: cannot open display: :0

3. Next, tried 'sudo -u lewisb gnome-clocks' and ...
I now get a dropdown suggestion list and the 'Add' button activates.

Is this expected behavior?

Comment 5 lewis.bogan 2017-05-28 17:46:44 UTC
4. I still get the same error as in number 1 above but it works now.

5. Ran the following from my home directory and got nothing:

    find . -name org.gnome.clocks.desktop -print

Apparently org.gnome.clocks doesn't/hasn't installed this desktop file.

6. Ran:
    sudo  find / -name org.gnome.clocks.desktop -print

And got:
    /usr/share/applications/org.gnome.clocks.desktop

All these desktop files are owned by user: root, group: root

Now what?

Comment 6 Gergely Polonkai 2017-05-29 09:26:50 UTC
@lewis.bogan: you probably don’t have geoclue installed/started? I do, and I don’t get the geoclue warning on F26.  Try querying it with systemctl status geoclue.service, and, if it’s not running, start it by systemctl start geoclue.service (or, if you are using the GNOME desktop, you can enable it under Privacy in the Settings app.)

sudo doesn’t work, because Fedora’s default sudo settings don’t transfer environment variables between your session and roots.  To do so, use sudo -E gnome-clocks.

However, I don’t think GeoClue causes the problem here, as it only queries your current location (based on GPS signal, if any, or on your IP address.

Comment 7 Jakub Krysl 2017-06-30 13:32:15 UTC
I am having the same issues, in F25 and now in F26 Beta. Can't choose any city at all.
I tried running "sudo -u USER gnome-clock" and suddenly I too got the drop down menu, which was not there when run normally. And I found an interesting thing:
I am able to add ANY world clock ("Add" button gets activated) as long as there are at least 2 options in drop down menu to choose from. When there is only last one and the text bar gets automatically filled, "Add" button won't activate.

Example trying to add "Prague, Czech Republic":
Typing "Pra" and choosing from menu activates "Add" button and lets me add it.
Typing "Prag" and choosing from menu or typing the rest won't activate "Add" button.
Typing "Pra" and choosing something else (fe. "Pratica di Mare, Italy") activates the "Add" for Pratica. Than retyping it to Prague and clicking "Add" adds "Pratica di Mare, Italy" as "excpected" even though the text field states different city.

Hope this helps pinpointing and fixing the issue. In the meantime it provides workaround.

Comment 8 Jakub Krysl 2017-06-30 13:53:29 UTC
After some more testing:
* sudo -u USER gnome-clocks won't save the changes => useless workaround
* Happens with 2 monitors, if I switch them, works perfectly fine.
* Not in X11, Wayland issue.

Plus this is probably a duplicate of BZ1384572:
https://bugzilla.redhat.com/show_bug.cgi?id=1384572

Comment 9 Hedayat Vatankhah 2017-06-30 18:39:48 UTC
I have the same issue under X11 (F26 beta + updates).
It doesn't work when the text is auto filled. But if a drop down list appears (even with a single choice) and I press "Down" arrow key and select it from the drop down list, 'Add' button is enabled and I can add the city.

Note: I now see the same problem in the weather application to add cities. This is either a GTK bug, or the same programmer error happens in both applications.

Comment 10 Fedora End Of Life 2017-11-16 19:19:51 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 11 Fedora End Of Life 2017-12-12 10:48:14 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 12 Garrett Mitchener 2018-01-17 15:46:21 UTC
This is still present in Fedora 27. Needs to be re-opened.

Comment 13 Gergely Polonkai 2018-02-20 10:31:42 UTC
It is indeed present in F27 (gnome-clocks-3.26.1-1.fc27.x86_64 and libgweather-3.26.1-1.fc27.x86_64)

Comment 14 za267 2018-06-19 01:00:32 UTC
(In reply to Jakub Krysl from comment #7)
> I am having the same issues, in F25 and now in F26 Beta. Can't choose any
> city at all.
> I tried running "sudo -u USER gnome-clock" and suddenly I too got the drop
> down menu, which was not there when run normally. And I found an interesting
> thing:
> I am able to add ANY world clock ("Add" button gets activated) as long as
> there are at least 2 options in drop down menu to choose from. When there is
> only last one and the text bar gets automatically filled, "Add" button won't
> activate.
> 
> Example trying to add "Prague, Czech Republic":
> Typing "Pra" and choosing from menu activates "Add" button and lets me add
> it.
> Typing "Prag" and choosing from menu or typing the rest won't activate "Add"
> button.
> Typing "Pra" and choosing something else (fe. "Pratica di Mare, Italy")
> activates the "Add" for Pratica. Than retyping it to Prague and clicking
> "Add" adds "Pratica di Mare, Italy" as "excpected" even though the text
> field states different city.
> 
> Hope this helps pinpointing and fixing the issue. In the meantime it
> provides workaround.

I'm on Fedora 28 with Gnome Version 3.28.2 and I am also experiencing the exact same issue.  I can also confirm that Jakub's workaround works for me.  I was trying to add Osaka, Japan and when the menu only showed one entry, the 'add' button wasn't available.  After reading his comment, I tried by searching for the fisrt two letters and sure enough I was able to choose Osaka from the list and add it.

Comment 15 Ben Cotton 2018-11-27 15:08:39 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Ben Cotton 2018-11-30 22:01:07 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 17 karlp 2019-01-14 10:52:35 UTC
How do we get this opened again?  I'm getting this on a fresh fc29 install.

I can choose "New" to add a world clock, but no matter what I put in the dialog, nothing is ever found, not even from a static list of cities or zones.

Jan 14 10:51:32 strem dbus-daemon[1601]: [session uid=1000 pid=1601] Activating service name='org.gnome.clocks' requested by ':1.13' (uid=1000 pid=1682 comm="/usr/bin/gnome-shell " label="unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023")
Jan 14 10:51:32 strem dbus-daemon[1601]: [session uid=1000 pid=1601] Successfully activated service 'org.gnome.clocks'
Jan 14 10:51:33 strem dbus-daemon[826]: [system] Activating via systemd: service name='org.freedesktop.GeoClue2' unit='geoclue.service' requested by ':1.603' (uid=1000 pid=32059 comm="/usr/bin/gnome-clocks --gapplication-service " label="unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023")
Jan 14 10:51:33 strem systemd[1]: Starting Location Lookup Service...
Jan 14 10:51:33 strem dbus-daemon[826]: [system] Successfully activated service 'org.freedesktop.GeoClue2'
Jan 14 10:51:33 strem audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=geoclue comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Jan 14 10:51:33 strem systemd[1]: Started Location Lookup Service.
Jan 14 10:51:53 strem gnome-clocks[32059]: geocoding.vala:44: Failed to connect to GeoClue2 service: GDBus.Error:org.freedesktop.DBus.Error.AccessDenied: Geolocation disabled for UID 1000


I don't understand how geolocation being on or off prevents having a list of clocks.

Comment 18 Severin Gehwolf 2019-02-19 11:58:38 UTC
Re-opening since I'm unable to add any clocks to work-clock. "Add" button stays disabled.

Comment 19 Severin Gehwolf 2019-02-19 12:02:25 UTC
$ rpm -q gnome-clocks
gnome-clocks-3.30.1-1.fc29.x86_64

Comment 20 Severin Gehwolf 2019-02-19 12:03:25 UTC
FWIW, I'm using multiple monitors (2 external, 1 built-in from laptop).

Comment 21 Severin Gehwolf 2019-02-19 12:04:17 UTC
Created attachment 1536295 [details]
Disabled "Add" button after being able to search for a city.


Note You need to log in before you can comment on or make changes to this bug.